;------------------------------------------------------------------------------
; raw2l1 user configuration file
;
;  ___  __   _   _  ___ _   __
; | _ \/  \ | | | |(_  | | /  |
; | v / /\ || 'V' | / /| |_`7 |
; |_|_\_||_|!_/ \_!|___|___||_|
;
; version: 2.1.19
; SIRTA IPSL/CNRS/EP 2014-2016
;------------------------------------------------------------------------------

; General configuration of the processing
;------------------------------------------------------------------------------
[conf]
reader_dir = reader
reader = leosphere_wls70_10s
netcdf_format = NETCDF4

; Special option for the reader (optional)
;------------------------------------------------------------------------------
[reader_conf]
missing_float = -999.
missing_int = -9

; Global attribute of the netCDF file
;------------------------------------------------------------------------------
[global]
site_location =
instrument_id = $reader_data$, IdSystem
institution = $reader_data$, IdClient
principal_investigator =
instrument_type = WLS70
title = Doppler Lidar at SIRTA
history =
instrument_firmware_version = $reader_data$, Version
source = remote sensing
references =
comment =
Conventions = CF-1.6

; Dimensions
;------------------------------------------------------------------------------
[time]
dim = time
type = $time$
standard_name = time
units = seconds since 1970-01-01 00:00:00
calendar = standard
comment = end of time period
bounds = time_bnds
value = $reader_data$, time

[range]
dim = range
type = $float$
long_name = range
units = m
value = $reader_data$, range

[nv]
dim = nv
size = $reader_data$, nv

; variables
;------------------------------------------------------------------------------
[time_bnds]
dim = time, nv
type = $time$
units = seconds since 1970-01-01 00:00:00 UTC
calendar = standard
value = $reader_data$, time_bounds

[ws]
type = $double$
standard_name = wind_speed
dim = time, range
units = m.s^-1
_FillValue = -999.
missing_value = -999.
value = $reader_data$, ws

[wd]
type = $double$
standard_name = wind_from_direction
dim = time, range
units = degree
_FillValue = -999.
missing_value = -999.
value = $reader_data$, wd

[u]
type = $double$
standard_name = eastward_wind
dim = time, range
units = m.s^-1
_FillValue = -999.
missing_value = -999.
comment = calculated using ws and wd
value = $reader_data$, u

[v]
type = $double$
standard_name = northward_wind
dim = time, range
units = m.s^-1
_FillValue = -999.
missing_value = -999.
comment = calculated using ws and wd
value = $reader_data$, v

[w]
type = $double$
standard_name = upward_air_velocity
dim = time, range
units = m.s^-1
_FillValue = -999.
missing_value = -999.
value = $reader_data$, w

[CNR]
type = $double$
long_name = Carrier_to_Noise_Ratio
dim = time, range
units = dB
_FillValue = -999.
missing_value = -999.
value = $reader_data$, cnr

[x_wind]
type = $float$
long_name = wind speed along instrument x-axis
dim = time, range
units = m.s^-1
_FillValue = -999.
missing_value = -999.
value = $reader_data$, x_wind

[y_wind]
type = $float$
long_name = wind speed along instrument y-axis
dim = time, range
units = m.s^-1
_FillValue = -999.
missing_value = -999.
value = $reader_data$, y_wind

[wiper_count]
type = $double$
long_name = wiper_count
dim = time
units = number of wiper swipes by 10 minutes periods
_FillValue = -999.
missing_value = -999.
value = $reader_data$, wiper_count

[temp_int]
type = $double$
long_name = system_internal_temperature
dim = time
units = number of wiper swipes by 10 minutes periods
_FillValue = -999.
missing_value = -999.
value = $reader_data$, temp_int

[laser_position]
type = $integer$
long_name = laser position
dim = time
units = 1
value = $reader_data$, laser_position
flag_values = -9, 0, 90, 180, 270
flag_meanings = vertical 0_degree 90_degree 180_degree 270_degree
comment = optional system